Package org.apache.lucene.facet.rangeonrange

# Class Range

java.lang.Object
org.apache.lucene.facet.rangeonrange.Range

Direct Known Subclasses:
  `DoubleRange`, `LongRange`

public abstract class Range extends Object
Base class for a single labeled range.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`dims`
Number of dims per range
`final String`
`label`
Label that identifies this range.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Range(String label, int dims)`
Sole constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`failNoMatch()`
Invoke this for a useless range.
`protected static String[]`
`getLabelsFromRanges(Range[] ranges)`
Gets a corresponding array of labels given a range

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### label

public final String label
Label that identifies this range.

### dims

public final int dims
Number of dims per range

## Constructor Details

### Range

protected Range(String label, int dims)
Sole constructor.

## Method Details

### failNoMatch

protected void failNoMatch()
Invoke this for a useless range.

### getLabelsFromRanges

protected static String[] getLabelsFromRanges(Range[] ranges)
Gets a corresponding array of labels given a range